summarylogtreecommitdiffstats
path: root/linux-rpi2-latest-git.install
diff options
context:
space:
mode:
Diffstat (limited to 'linux-rpi2-latest-git.install')
-rw-r--r--linux-rpi2-latest-git.install25
1 files changed, 25 insertions, 0 deletions
diff --git a/linux-rpi2-latest-git.install b/linux-rpi2-latest-git.install
new file mode 100644
index 000000000000..0971b351d191
--- /dev/null
+++ b/linux-rpi2-latest-git.install
@@ -0,0 +1,25 @@
+# arg 1: the new package version
+# arg 2: the old package version
+
+KERNEL_NAME=-rpi2-latest-git
+KERNEL_VERSION=4.5.0_rc7_1_v7+
+
+post_install () {
+ # updating module dependencies
+ echo ">>> Updating module dependencies. Please wait ..."
+ depmod ${KERNEL_VERSION}
+}
+
+post_upgrade() {
+ if grep "^[^#]*[[:space:]]/boot" etc/fstab 2>&1 >/dev/null; then
+ if ! grep "[[:space:]]/boot" etc/mtab 2>&1 >/dev/null; then
+ echo "WARNING: /boot appears to be a seperate partition but is not mounted."
+ echo " You probably just broke your system. Congratulations."
+ fi
+ fi
+
+ # updating module dependencies
+ echo ">>> Updating module dependencies. Please wait ..."
+ depmod ${KERNEL_VERSION}
+
+}